init.d/radvd restart does not start radvd if it's not running

Bug #8605 reported by Debian Bug Importer on 2004-09-28
4
Affects Status Importance Assigned to Milestone
radvd (Debian)
Fix Released
Unknown
radvd (Ubuntu)
High
Fabio Massimo Di Nitto

Bug Description

Automatically imported from Debian bug report #273892 http://bugs.debian.org/273892

Debian Bug Importer (debzilla) wrote :

Automatically imported from Debian bug report #273892 http://bugs.debian.org/273892

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Tue, 28 Sep 2004 19:52:47 +0200
From: Peter Palfrader <email address hidden>
To: Debian Bug Tracking System <email address hidden>
Subject: init.d/radvd restart does not start radvd if it's not running

Package: radvd
Version: 1:0.7.2-5
Severity: serious

marvin:~# ps xauf | grep radv
root 31687 0.0 0.0 1576 460 pts/17 S+ 19:54 0:00 \_ =
grep radv
marvin:~# /etc/init.d/radvd restart
Restarting radvd: marvin:~#=B7
marvin:~# ps xauf | grep radv
root 31691 0.0 0.0 1576 460 pts/17 S+ 19:54 0:00 \_ =
grep radv

the init script does not start the service in restart, if it is not already=
 running.

This violates policy 9.3.2

--=20
Peter

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

tag 273892 patch
stop

Hi,
~ a patch to /etc/init.d/radvd to fix this problem can be found here:

http://people.ubuntulinux.org/patches/radvd.273892.diff

The patch fixes the restart call, a typo in chkconfig in the example
config file and add an extra blank line at the top of the chkconfig
error message to look nicer in case of failure:

Starting radvd:
* /etc/radvd.conf does not exist or is empty.
* See /usr/share/doc/radvd/examples/simple-radvd.conf for a simple
* configuration suitable for most systems, and radvd.conf(5)
* for configuration file syntax. radvd will *not* be started.

instead of:

Starting radvd: * /etc/radvd.conf does not exist or is empty.
* See /usr/share/doc/radvd/examples/simple-ravd.conf for a simple
* configuration suitable for most systems, and radvd.conf(5)
* for configuration file syntax. radvd will *not* be started.

Thanks
Fabio

- --
<user> fajita: step one
<fajita> Whatever the problem, step one is always to look in the error log.
<user> fajita: step two
<fajita> When in danger or in doubt, step two is to scream and shout.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)
Comment: Using GnuPG with Thunderbird - http://enigmail.mozdev.org

iD8DBQFBWjNIhCzbekR3nhgRAisiAJ0acQISHR330bBzSuGZMWz3HYbrEwCggWy4
KUhV4W5VUWavtOQPdDQcMWU=
=paVj
-----END PGP SIGNATURE-----

Fixed with radvd (1:0.7.2-5ubuntu1) upload.

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Wed, 29 Sep 2004 06:00:09 +0200
From: Fabio Massimo Di Nitto <email address hidden>
To: <email address hidden>, <email address hidden>
Subject: patch

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

tag 273892 patch
stop

Hi,
~ a patch to /etc/init.d/radvd to fix this problem can be found here:

http://people.ubuntulinux.org/patches/radvd.273892.diff

The patch fixes the restart call, a typo in chkconfig in the example
config file and add an extra blank line at the top of the chkconfig
error message to look nicer in case of failure:

Starting radvd:
* /etc/radvd.conf does not exist or is empty.
* See /usr/share/doc/radvd/examples/simple-radvd.conf for a simple
* configuration suitable for most systems, and radvd.conf(5)
* for configuration file syntax. radvd will *not* be started.

instead of:

Starting radvd: * /etc/radvd.conf does not exist or is empty.
* See /usr/share/doc/radvd/examples/simple-ravd.conf for a simple
* configuration suitable for most systems, and radvd.conf(5)
* for configuration file syntax. radvd will *not* be started.

Thanks
Fabio

- --
<user> fajita: step one
<fajita> Whatever the problem, step one is always to look in the error log.
<user> fajita: step two
<fajita> When in danger or in doubt, step two is to scream and shout.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)
Comment: Using GnuPG with Thunderbird - http://enigmail.mozdev.org

iD8DBQFBWjNIhCzbekR3nhgRAisiAJ0acQISHR330bBzSuGZMWz3HYbrEwCggWy4
KUhV4W5VUWavtOQPdDQcMWU=
=paVj
-----END PGP SIGNATURE-----

Source: radvd
Source-Version: 1:0.7.2-6

We believe that the bug you reported is fixed in the latest version of
radvd, which is due to be installed in the Debian FTP archive:

radvd_0.7.2-6.diff.gz
  to pool/main/r/radvd/radvd_0.7.2-6.diff.gz
radvd_0.7.2-6.dsc
  to pool/main/r/radvd/radvd_0.7.2-6.dsc
radvd_0.7.2-6_i386.deb
  to pool/main/r/radvd/radvd_0.7.2-6_i386.deb

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed. If you
have further comments please address them to <email address hidden>,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andreas Rottmann <email address hidden> (supplier of updated radvd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing <email address hidden>)

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 3 Oct 2004 17:27:35 +0200
Source: radvd
Binary: radvd
Architecture: source i386
Version: 1:0.7.2-6
Distribution: unstable
Urgency: low
Maintainer: Andreas Rottmann <email address hidden>
Changed-By: Andreas Rottmann <email address hidden>
Description:
 radvd - Router Advertisement Daemon
Closes: 242473 273892
Changes:
 radvd (1:0.7.2-6) unstable; urgency=low
 .
   * Applied patch by Fabio Massimo Di Nitto, thanks. (closes: #273892).
   * Now using documentation prefix instead of deprectated
     site-local prefix (closes: #242473).
   * Also install the upstream example (radvd.conf.example).
Files:
 d075f271eb433fcf43636192d9b2e8c9 588 net optional radvd_0.7.2-6.dsc
 d649b371e1e42630a1c615800fbed0cd 63730 net optional radvd_0.7.2-6.diff.gz
 ef6c597f4791014d000ab92a5f20d3e7 49364 net optional radvd_0.7.2-6_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)

iD8DBQFBYCJB+S/PxQH9W2IRAiVhAJ9CiYjLn6PYrXARrlVtB0vSSAWn4wCggDTZ
uzJHmsXJHj0xgl9P9ddosh4=
=eG8J
-----END PGP SIGNATURE-----

Debian Bug Importer (debzilla) wrote :

Message-Id: <email address hidden>
Date: Sun, 03 Oct 2004 12:17:08 -0400
From: Andreas Rottmann <email address hidden>
To: <email address hidden>
Subject: Bug#273892: fixed in radvd 1:0.7.2-6

Source: radvd
Source-Version: 1:0.7.2-6

We believe that the bug you reported is fixed in the latest version of
radvd, which is due to be installed in the Debian FTP archive:

radvd_0.7.2-6.diff.gz
  to pool/main/r/radvd/radvd_0.7.2-6.diff.gz
radvd_0.7.2-6.dsc
  to pool/main/r/radvd/radvd_0.7.2-6.dsc
radvd_0.7.2-6_i386.deb
  to pool/main/r/radvd/radvd_0.7.2-6_i386.deb

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed. If you
have further comments please address them to <email address hidden>,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andreas Rottmann <email address hidden> (supplier of updated radvd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing <email address hidden>)

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 3 Oct 2004 17:27:35 +0200
Source: radvd
Binary: radvd
Architecture: source i386
Version: 1:0.7.2-6
Distribution: unstable
Urgency: low
Maintainer: Andreas Rottmann <email address hidden>
Changed-By: Andreas Rottmann <email address hidden>
Description:
 radvd - Router Advertisement Daemon
Closes: 242473 273892
Changes:
 radvd (1:0.7.2-6) unstable; urgency=low
 .
   * Applied patch by Fabio Massimo Di Nitto, thanks. (closes: #273892).
   * Now using documentation prefix instead of deprectated
     site-local prefix (closes: #242473).
   * Also install the upstream example (radvd.conf.example).
Files:
 d075f271eb433fcf43636192d9b2e8c9 588 net optional radvd_0.7.2-6.dsc
 d649b371e1e42630a1c615800fbed0cd 63730 net optional radvd_0.7.2-6.diff.gz
 ef6c597f4791014d000ab92a5f20d3e7 49364 net optional radvd_0.7.2-6_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)

iD8DBQFBYCJB+S/PxQH9W2IRAiVhAJ9CiYjLn6PYrXARrlVtB0vSSAWn4wCggDTZ
uzJHmsXJHj0xgl9P9ddosh4=
=eG8J
-----END PGP SIGNATURE-----

Changed in radvd:
status: Unknown → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.